Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xmlbeans
Interface XmlNormalizedString

All Superinterfaces:
  XmlAnySimpleType, XmlObject, XmlString, XmlTokenSource

All Known Subinterfaces:
  XmlENTITY, XmlID, XmlIDREF, XmlLanguage, XmlName, XmlNCName, XmlNMTOKEN, XmlToken

All Known Implementing Classes:
  XmlEntityImpl, XmlIdImpl, XmlIdRefImpl, XmlLanguageImpl, XmlNameImpl, XmlNCNameImpl, XmlNmTokenImpl, XmlNormalizedStringImpl, XmlTokenImpl

    public interface XmlNormalizedString

extends XmlString

Corresponds to the XML Schema xs:normalizedString type. One of the derived types based on xs:string.

An normalizedString simply is a string where all the carriage return, linefeed, and tab characters have been normalized (switched to) ordinary space characters. Use normalizedString for long strings to make them insensitive to line breaking. If you wish to often be insensitive to runs of whitespace (as is often the case), use xs:token (aka `XmlToken`) instead.

Convertible to `String`. When obtaining the stringValue, the whitespace-normalized value is returned.

Nested Class Summary
`static class` | `XmlNormalizedString.Factory` A class with methods for creating instances of `XmlNormalizedString`.

Field Summary
`static SchemaType` | `type` The constant `SchemaType` object representing this schema type.

Fields inherited from interface org.apache.xmlbeans.XmlObject
`EQUAL, GREATER_THAN, LESS_THAN, NOT_EQUAL`

Method Summary

Methods inherited from interface org.apache.xmlbeans.XmlAnySimpleType
`getStringValue, set, setStringValue, stringValue`

Methods inherited from interface org.apache.xmlbeans.XmlObject
`changeType, compareTo, compareValue, copy, copy, execQuery, execQuery, isImmutable, isNil, schemaType, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set, setNil, substitute, toString, validate, validate, valueEquals, valueHashCode`

Methods inherited from interface org.apache.xmlbeans.XmlTokenSource
`documentProperties, dump, getDomNode, monitor, newCursor, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLInputStream, newXMLInputStream, newXMLStreamReader, newXMLStreamReader, save, save, save, save, save, save, save, save, xmlText, xmlText`

Field Detail

### type

    static final SchemaType type

  The constant `SchemaType` object representing this schema type.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD